Skip to main content
GET
/
beta
/
tenants
/
{tenantId}
/
audit-log
List tenant audit log
curl --request GET \
  --url https://api.longwavehq.com/beta/tenants/{tenantId}/audit-log \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z",
      "action": "<string>",
      "actor": "<string>",
      "resource": "<string>",
      "details": {}
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Send as Authorization: Bearer <your api key>

Path Parameters

tenantId
string
required

Query Parameters

from
string<date-time>

Start of time range (ISO 8601 date-time or date).

to
string<date-time>

End of time range (ISO 8601 date-time or date).

limit
integer
default:100

Maximum events to return (default 100, max 500).

Required range: 1 <= x <= 500
cursor
string

Opaque cursor for pagination.

Response

OK

items
object[]
required
nextCursor
string | null